import repl = require('repl');
import {WikidotUser, WikidotPage, Branch} from '../models';

export default function runConsole(): void {
    const context = {
        WikidotUser,
        WikidotPage,
        Branch
    };
    const replServer = repl.start();
    replServer.context = {...replServer.context, ...context};
}
