'use strict';

interface AppTask {
    data: {
        task: string;
        args: any;
    };
}

module.exports = function taskRunner(job: AppTask): Promise<any> {
    return require(`../tasks/${job.data.task}`)(...job.data.args);
};
