'use strict';

import {reportError} from '../core/utils';

export default function executeTask(name: string, args: object): void {
    require(`../tasks/${name}`).apply({}, args)
        .then(() => {
            process.nextTick(() => process.exit());
        })
        .catch((error: Error) => {
            reportError(error, {message: 'Unhandled task executer error'});
        });
}
