"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const repl = require("repl");
const models_1 = require("../models");
function runConsole() {
    const context = {
        WikidotUser: models_1.WikidotUser,
        WikidotPage: models_1.WikidotPage,
        Branch: models_1.Branch
    };
    const replServer = repl.start();
    replServer.context = Object.assign({}, replServer.context, context);
}
exports.default = runConsole;
//# sourceMappingURL=console.js.map