"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../../../models");
exports.default = async (req, res) => {
    if (!req.user.roles.intBanRecordsReader) {
        res.status(403).send({ status: 'Unauthorized' });
        return;
    }
    const records = await models_1.BanRecord.query();
    res.send({
        status: 'ok',
        records
    });
};
//# sourceMappingURL=list.js.map