"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const objection_1 = require("objection");
const initKnex = require("knex");
const knexConfig = require('../../knexfile');
exports.knex = initKnex(Object.assign({}, knexConfig, objection_1.knexSnakeCaseMappers()));
objection_1.Model.knex(exports.knex);
var objection_2 = require("objection");
exports.Model = objection_2.Model;
exports.raw = objection_2.raw;
exports.ValidationError = objection_2.ValidationError;
var wikidot_user_1 = require("./wikidot-user");
exports.WikidotUser = wikidot_user_1.default;
var wikidot_page_1 = require("./wikidot-page");
exports.WikidotPage = wikidot_page_1.default;
var branch_1 = require("./branch");
exports.Branch = branch_1.default;
var ban_record_1 = require("./ban-record");
exports.BanRecord = ban_record_1.default;
var access_token_1 = require("./access-token");
exports.AccessToken = access_token_1.default;
//# sourceMappingURL=index.js.map